org.apache.sysds.hops.estim

## Enum SparsityEstimator.OpCode

- java.lang.Object
- - java.lang.Enum<SparsityEstimator.OpCode>
  - - org.apache.sysds.hops.estim.SparsityEstimator.OpCode

All Implemented Interfaces:
  Serializable, Comparable<SparsityEstimator.OpCode>

Enclosing class:
  SparsityEstimator

    public static enum SparsityEstimator.OpCode
    extends Enum<SparsityEstimator.OpCode>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CBIND`
`DIAG`
`EQZERO`
`MM`
`MULT`
`NEQZERO`
`PLUS`
`RBIND`
`RESHAPE`
`TRANS`

### Method Summary

All Methods Static Methods Concrete Methods
`static SparsityEstimator.OpCode` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SparsityEstimator.OpCode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### MM

    public static final SparsityEstimator.OpCode MM

#### MULT

    public static final SparsityEstimator.OpCode MULT

#### PLUS

    public static final SparsityEstimator.OpCode PLUS

#### EQZERO

    public static final SparsityEstimator.OpCode EQZERO

#### NEQZERO

    public static final SparsityEstimator.OpCode NEQZERO

#### CBIND

    public static final SparsityEstimator.OpCode CBIND

#### RBIND

    public static final SparsityEstimator.OpCode RBIND

#### TRANS

    public static final SparsityEstimator.OpCode TRANS

#### DIAG

    public static final SparsityEstimator.OpCode DIAG

#### RESHAPE

    public static final SparsityEstimator.OpCode RESHAPE

### Method Detail

#### values

    public static SparsityEstimator.OpCode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SparsityEstimator.OpCode c : SparsityEstimator.OpCode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SparsityEstimator.OpCode valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null